Debian Bug report logs - #606505
sysv-rc: update-rc.d(8) gives bad example for disabling a service

version graph

Package: sysv-rc; Maintainer for sysv-rc is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysv-rc is src:sysvinit.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Thu, 9 Dec 2010 21:03:04 UTC

Severity: normal

Tags: patch

Found in version sysvinit/2.88dsf-13

Fixed in version sysvinit/2.88dsf-42

Done: Roger Leigh <rleigh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#606505; Package sysv-rc. (Thu, 09 Dec 2010 21:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Thu, 09 Dec 2010 21:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sysv-rc: update-rc.d(8) gives bad example for disabling a service
Date: Thu, 09 Dec 2010 22:01:07 +0100
Package: sysv-rc
Version: 2.88dsf-13
Severity: normal

The EXAMPLES section of update-rc.d.8 recommends this method to disable
a service:

,----
| 	Example of disabling a service:
| 	   update-rc.d -f foobar remove
| 	   update-rc.d foobar stop 20 2 3 4 5 .
`----

This does not work in a dependency based boot system, because
update-rc.d ignores the arguments in last line and uses the values from
the LSB headers instead.

Here is a patch for that:

--8<---------------cut here---------------start------------->8---
--- update-rc.d.8	(revision 1950)
+++ update-rc.d.8	(working copy)
@@ -284,8 +284,7 @@
 .fi 
 Example of disabling a service:
 .nf 
-.B "   update\-rc.d \-f foobar remove"
-.B "   update\-rc.d foobar stop 20 2 3 4 5 ."
+.B "   update\-rc.d foobar disable"
 .fi 
 Example of a command for installing a system initialization\-and\-shutdown script:
 .nf 
--8<---------------cut here---------------end--------------->8---


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.37-rc5-nouveau+ (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sysv-rc depends on:
ii  debconf [debconf-2.0]         1.5.37     Debian configuration management sy
ii  insserv                       1.14.0-2   Tool to organize boot sequence usi
ii  sysvinit-utils                2.88dsf-13 System-V-like utilities

Versions of packages sysv-rc recommends:
ii  lsb-base                      3.2-26     Linux Standard Base 3.2 init scrip

Versions of packages sysv-rc suggests:
pn  bum                           <none>     (no description available)
ii  sysv-rc-conf                  0.99-6     SysV init runlevel configuration t

-- debconf information:
  sysv-rc/unable-to-convert:
  sysv-rc/convert-legacy: true




Added tag(s) patch. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 09 Dec 2010 21:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#606505; Package sysv-rc. (Thu, 09 Dec 2010 23:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to kel@otaku42.de:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Thu, 09 Dec 2010 23:27:07 GMT) Full text and rfc822 format available.

Message #12 received at 606505@bugs.debian.org (full text, mbox):

From: kel@otaku42.de
To: "Sven Joachim" <svenjoac@gmx.de>, 606505@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#606505: sysv-rc: update-rc.d(8) gives bad example for disabling a service
Date: Fri, 10 Dec 2010 00:23:50 +0100 (CET)
Hi Sven,

> Package: sysv-rc
> Version: 2.88dsf-13
> Severity: normal
>
> The EXAMPLES section of update-rc.d.8 recommends this method to disable
> a service:
>
> ,----
> | 	Example of disabling a service:
> | 	   update-rc.d -f foobar remove
> | 	   update-rc.d foobar stop 20 2 3 4 5 .
> `----
>
> This does not work in a dependency based boot system, because
> update-rc.d ignores the arguments in last line and uses the values from
> the LSB headers instead.
>
> Here is a patch for that:
>
> --8<---------------cut here---------------start------------->8---
> --- update-rc.d.8	(revision 1950)
> +++ update-rc.d.8	(working copy)
> @@ -284,8 +284,7 @@
>  .fi
>  Example of disabling a service:
>  .nf
> -.B "   update\-rc.d \-f foobar remove"
> -.B "   update\-rc.d foobar stop 20 2 3 4 5 ."
> +.B "   update\-rc.d foobar disable"
>  .fi
>  Example of a command for installing a system
> initialization\-and\-shutdown script:
>  .nf
> --8<---------------cut here---------------end--------------->8---

The 'enable/disable' API is considered to be unstable by other developers
and therefore was not well advertised nor documented when it was
integrated.

I agree with the patch but will let others decide and further discuss what
makes the enable/disable feature worth hiding for longer.

Thanks, Kel.




Added tag(s) pending. Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Sun, 19 May 2013 19:24:06 GMT) Full text and rfc822 format available.

Reply sent to Roger Leigh <rleigh@debian.org>:
You have taken responsibility. (Sun, 14 Jul 2013 09:36:08 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Sun, 14 Jul 2013 09:36:08 GMT) Full text and rfc822 format available.

Message #19 received at 606505-close@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 606505-close@bugs.debian.org
Subject: Bug#606505: fixed in sysvinit 2.88dsf-42
Date: Sun, 14 Jul 2013 09:33:40 +0000
Source: sysvinit
Source-Version: 2.88dsf-42

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606505@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roger Leigh <rleigh@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 13 Jul 2013 21:24:31 +0100
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts bootlogd
Architecture: source amd64 all
Version: 2.88dsf-42
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Roger Leigh <rleigh@debian.org>
Description: 
 bootlogd   - daemon to log boot messages
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 423528 606505 677369 685779 694252 701956 710304
Changes: 
 sysvinit (2.88dsf-42) unstable; urgency=low
 .
   [ Roger Leigh ]
   * Introduce jessie changes from 2.88dsf-41+jessie1 to unstable.
   * Correct the Breaks on bootchart to ensure that all broken
     versions are removed on upgrade (Closes: #694252).  Break
     bootchart << 0.10~svn407-4 to ensure that 0.10~svn407-3.3
     and earlier are removed.
   * Clean up legacy migration logic in maintainer scripts and init
     scripts for /run, /lib/init/rw, /etc/mtab, /etc/motd.
   * Don't generate debian/copyright; include missing bits of
     COPYRIGHT directly.
   * Upgrade to Standards-Version 3.9.4 (no changes).
   * Add lintian overrides for init script dependency warnings;
     these don't apply to our scripts since they have special
     dependency requirements.
   * bootlogd: Ensure boot logs are flushed (Closes: #423528).  Save
     logs in /run/bootlog and copy to /var/log/boot at the end of the
     boot sequence.
   * sysv-rc:
     - update-rc.d no longer supports non-dependency-based boot.
       + Remove non-insserv codepaths.
       + Warn if the start or stop actions are used.
       + Skip runlevel mismatch warnings if default action is used
         (no arguments to validate).
       + Update manual page to remove start and stop actions, plus
         manual setting of boot sequence ordering; note that start
         and stop are no longer supported.  Closes: #606505.
   * initscripts:
     - Remove static runlevels from update-rc.d calls in postinst.
     - checkroot.sh skips fsck of btrfs filesystems.  Thanks to Ben
       Klein for this patch.  Closes: #701956.  Note that this is
       intended to be a workaround until such time btrfs provides a
       non-broken fsck.btrfs.
     - Remove use of absolute program paths in postinst.
   * bootlogd:
     - Remove static runlevels from update-rc.d calls in postinst.
 .
   [ Pino Toscano ]
   * Update inittab.gnu to the new path of Hurd's getty.
   * mount-functions.sh: do not add "nodev" to the mount options also on Hurd,
     as this option does not exist there.
 .
   [ Steve Langasek ]
   * Kill pointless script-not-executable overrides for things that are not
     scripts.
   * /etc/default/rcS is a conffile; remove postinst code that attempts to
     create it from a non-existent template.
   * Relax the Breaks: on upstart for compatibility with Ubuntu.
   * Don't duplicate the /etc/default/rcS conffile with a template in the
     preinst; unmodified files should just be removed, and created
     automatically by dpkg.
   * Fix 'service $foo restart' implementation for upstart jobs.
   * Update service(8) manpage to document the support for upstart jobs.
   * debian/sysv-rc/sbin/invoke-rc.d: replace RUNLEVEL with RUNLEVELHELPER.
     Using RUNLEVEL causes spurious failures when invoke-rc.d is invoked
     with RUNLEVEL already defined in the environment (as it is e.g. during
     bootup) since invoke-rc.d's RUNLEVEL will become an exported variable
     at that point and cause /sbin/runlevel to return bad data. (LP: #619246)
     Thanks to James Troup for the patch.
   * Properly clean up bootlogd conffiles on upgrade using dpkg-maintscript,
     instead of leaving them orphaned on the filesystem when the bootlogd
     package is not installed.
   * Drop maintainer script migration code for versions older than squeeze.
   * Mark sysv-rc Multi-Arch: foreign, now that debhelper is generating
     versioned dependencies on it, this is important for cross-installability
     of packages providing services.  Closes: #710304.
   * Also mark initscripts Multi-Arch: foreign, for similar reasons.  This is
     probably less important, given that the number of packages affected is
     small and the /run transition is already past, but it is still correct
     in its own right so might as well be added.  Closes: #677369.
 .
   [ Michael Biebl ]
   * Redirect error output from 'initctl version', suppressing warnings when
     upstart is installed but not running.  Closes: #685779.
Checksums-Sha1: 
 15e3437ad9bf7dd03b6dce1d45a22ab61b7af5ee 2342 sysvinit_2.88dsf-42.dsc
 7bc01207c58f9c6dda74aaa4e6560b54d00c4c7e 204956 sysvinit_2.88dsf-42.debian.tar.gz
 220388398d68f6280d9c2966bf89d6e5d75fc995 134140 sysvinit_2.88dsf-42_amd64.deb
 12a4a2dfe8553141581acd6580314b7aeb429482 103196 sysvinit-utils_2.88dsf-42_amd64.deb
 98418e450eb739877443a4162d9ea856f1266860 80372 sysv-rc_2.88dsf-42_all.deb
 a2fea71f1833d0710415f7a76c55e0eccc9bbdaa 87124 initscripts_2.88dsf-42_amd64.deb
 0abfaee7980b13f19ab73019c5e3f4ed63e1845d 56936 bootlogd_2.88dsf-42_amd64.deb
Checksums-Sha256: 
 5d19c33880ebf6ea9220a8b6b6df09c7940e044a8bab8b94f8dfbfe392b0525e 2342 sysvinit_2.88dsf-42.dsc
 104867b5754018e0127ab9341cd623be92c4dbd8370b9b5e53716ec04d4dffa3 204956 sysvinit_2.88dsf-42.debian.tar.gz
 8f28a20489d1f4bf760eba11a8e24d152dc2087589cb7b6fee58a84375f1e898 134140 sysvinit_2.88dsf-42_amd64.deb
 1c021845ec18d49c3d551117c270b7a0d0b411c46d97a15b612070b47e3d5294 103196 sysvinit-utils_2.88dsf-42_amd64.deb
 872324dc72bca92ef02d3138d0fab2934a0ab2ed2134df1476be21a028447d78 80372 sysv-rc_2.88dsf-42_all.deb
 a4da0e84ce61dfc133174b87c9c8533708ed351d767c37e6ab06e38d981b1034 87124 initscripts_2.88dsf-42_amd64.deb
 ca3f32ae02b070bb03771d4fb65ba232fdb0c2e56f11cc24c1c1a38988bfaa0c 56936 bootlogd_2.88dsf-42_amd64.deb
Files: 
 f1328e77b57e12891bd9116422133f12 2342 admin required sysvinit_2.88dsf-42.dsc
 f6b6c07bdc43f33dfa21d42c228f1ebd 204956 admin required sysvinit_2.88dsf-42.debian.tar.gz
 0d2749fc9f6ca14518a99eec3de88896 134140 admin required sysvinit_2.88dsf-42_amd64.deb
 b36fb14620bc2bd5a540af7969b0a580 103196 admin required sysvinit-utils_2.88dsf-42_amd64.deb
 18d318fa70e2026ea16280f1bbcaf2ce 80372 admin required sysv-rc_2.88dsf-42_all.deb
 dcba456a02cffe3eca293455fe6d46c4 87124 admin required initscripts_2.88dsf-42_amd64.deb
 027f848093ef8c86987ec0e810c52c2b 56936 admin optional bootlogd_2.88dsf-42_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJR4eqaAAoJEOJSSsUKn1xZU0gP/3hJImMGn+ugV49pxHuput4W
pqDo2L79Ku94nGUMeEAPw8ikMGx7ANKMoFp0+tmJAd7WRuU3wL2vmcPmhtaJA/bl
OPTJ4eCsNLtLfC5LvwXKrQ0/PwPky2qn3uQhCwr48pedfZ4GM36Dmz2m3L5yU+0M
WhS/z2zIUTVX1IgtxHJPlpQ6Z9mHganJVG+nt/LocxRP+VQQQxhY6Jt9DnBJo0lP
qIpakkNzWS7Yyrlo4gu57Pvo1jirb4+UWwJ998SiQDdQON94DkFD7FPp3lPQMDUr
2GKpzEBr2Jkw32OgyMsrARlsRanuNIK0MeOG8/nomZf8L982turn1GUaEAdrrmWM
zX1e68bf3f7Tt+PdMdYqhY5CO2Hqojfc2FmQqrcaNz+IuEocSD/vsil0baiYxI4o
iM9z/NCyEymH5tOUHs32+ooLfkCs0y/kKHNnUFDJjvJfckIOal8F1GcyD2mv2mIg
sN7JqaBB+Fxm+iCddUiAh9IIrkrNhcGWOFmFoc6fVDpt3oilp4NhcksX+L7nG/o6
6vp7lcEtdiwA8uiy1WCULyhaTDjhWDpS815U8QE0VOI7+E94c8W0MYWKxyEkAYg5
OF2xdXQi3hlNsyKEmly54Met0Md+lp2cTSkZV4fNhczkoBP9/WEvHrSs5GlmDsgx
l6+F0l9SNME7f3kOqfj7
=Meas
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Feb 2014 07:25:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:11:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.